mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricAlgorithm Abtract base class for all implementations of RSA public key algorithm. To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Security.Cryptography.RSA Create an instance of the default RSA implementation. To be added: an object of type 'RSA' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.RSA `` To be added: an object of type 'string' Create an instance of the specified RSA implementation. To be added: an object of type 'RSA' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The encrypted data. Raw (unpadded) decryption using the RSA private key. An array of bytes containing the decrypted data. Direct (raw) decryption (i.e. without padding) is discouraged due to high security risks. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The data to be encrypted. Raw (unpadded) encryption using the RSA public key. An array of bytes containing the encrypted data. Direct (raw) encryption (i.e. without padding) is discouraged due to high security risks. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.RSAParameters `` True to include private parameters; otherwise, false. Export the instance key into a structure. a RSAParameters structure contaning each parameters of the key. You are responsable to zeroize the private key ( parameters , , , , and ) if you export it from the instance. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` An string containing a RSA key in XML. Import the RSA key from the specified XML string. The schema definition for RSA keys is detailled in section 4.4.2.2 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/ 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` A RSAParameters containing the RSA key parameters. Import the key from the structure into the current instance. Parameters D, P and Q are required to import an RSA private key. Parameters DP, DQ and InverseQ will be used for the Chinese Remainder Theorem (CRT) optimization if available. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` True to include private parameters; otherwise, false. Convert the current RSA key into an XML string. An XML string containing the representation of the RSA key. The schema definition for RSA keys is detailled in section 4.4.2.2 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/ 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)